import {
  a as r
} from "./chunk-XMX7XVAK.js";
import {
  a as o,
  c as n
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/objectivec.js
var i = n((s, a) => {
  var c = r();
  a.exports = t;
  t.displayName = "objectivec";
  t.aliases = ["objc"];
  function t(e) {
    e.register(c), e.languages.objectivec = e.languages.extend("c", {
      string: {
        pattern: /@?"(?:\\(?:\r\n|[\s\S])|[^"\\\r\n])*"/,
        greedy: !0
      },
      keyword: /\b(?:asm|auto|break|case|char|const|continue|default|do|double|else|enum|extern|float|for|goto|if|in|inline|int|long|register|return|self|short|signed|sizeof|static|struct|super|switch|typedef|typeof|union|unsigned|void|volatile|while)\b|(?:@interface|@end|@implementation|@protocol|@class|@public|@protected|@private|@property|@try|@catch|@finally|@throw|@synthesize|@dynamic|@selector)\b/,
      operator: /-[->]?|\+\+?|!=?|<<?=?|>>?=?|==?|&&?|\|\|?|[~^%?*\/@]/
    }), delete e.languages.objectivec["class-name"], e.languages.objc = e.languages.objectivec;
  }
  o(t, "objectivec");
});

export {
  i as a
};
